// stackfrm.cpp : implementation file
//

#include "stdafx.h"
#include "wz.h"
#include "topfrm.h"
#include "stackfrm.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

// toolbar buttons - IDs are command buttons
static UINT BASED_CODE buttons[] =
{
	// same order as in the bitmap 'toolbar.bmp'
	ID_CMD_ZREPLY,
	ID_CMD_ZWRITE,
	ID_CMD_DELZGRAM,
		ID_SEPARATOR,
	ID_CMD_PREVZGRAM,
	ID_CMD_NEXTZGRAM,
};

static UINT BASED_CODE indicators[] = 
{
	ID_SEPARATOR,
	ID_INDICATOR_NZGRAM,
};

/////////////////////////////////////////////////////////////////////////////
// CStackFrame

IMPLEMENT_DYNCREATE(CStackFrame, CFrameWnd)

CStackFrame::CStackFrame()
{
}

CStackFrame::~CStackFrame()
{
}


BEGIN_MESSAGE_MAP(CStackFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CStackFrame)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStackFrame message handlers

int CStackFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	if (!m_wndToolBar.Create(this) || !m_wndToolBar.LoadBitmap(IDR_STACKFRAME)
		|| !(m_wndToolBar.SetButtons(buttons,sizeof(buttons)/sizeof(UINT)))) {
		TRACE("Failed to create toolbar\n");
		return -1;
	}
		
	if (!m_wndStatusBar.Create(this) || 
		!m_wndStatusBar.SetIndicators(indicators,sizeof(indicators)/sizeof(UINT)))
		{
		TRACE("Failed to create statusbar\n");
		return -1;
	}	
	
	return 0;
}
