// testdlg.cpp : implementation file
//

#include "stdafx.h"
#include "wz.h"
#include "testdlg.h"
#include "zsub.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestDlg dialog

CTestDlg::CTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestDlg)
	DDX_Control(pDX, IDC_LISTVIEW, m_listbox);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTestDlg, CDialog)
	//{{AFX_MSG_MAP(CTestDlg)
	ON_LBN_DBLCLK(IDC_LISTVIEW, OnDblclkListview)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestDlg message handlers

void CTestDlg::OnDblclkListview()
{   
	CString s;
	int n;
	
	m_listbox.GetText(m_listbox.GetCurSel(),s);
	CZGram zg;
	switch (s[0]) {
		case 't':
		case 'T': 
			zg.m_type=Traditional;
			s=s.Right(s.GetLength()-1);
			if ((n=s.Find(','))>=0) {
				zg.m_class=s.Left(n);
				s=s.Right(s.GetLength()-n-1);
				if ((n=s.Find(','))>=0) {
					zg.m_instance=s.Left(n);
					zg.m_recipient=s.Right(s.GetLength()-n-1);
				} else {
					zg.m_instance=s;
					zg.m_recipient="*";
				}
			} else {
				zg.m_class="message";
				zg.m_instance=s;
				zg.m_recipient="*";
			}			
			
			theApp.OnReceiveZGram(&zg);
			break;
		case 'o':
		case 'O':
			zg.m_type=Outgoing;
			s=s.Right(s.GetLength()-1);
			if ((n=s.Find(','))>=0) {
				zg.m_class=s.Left(n);
				s=s.Right(s.GetLength()-n-1);
				if ((n=s.Find(','))>=0) {
					zg.m_instance=s.Left(n);
					zg.m_recipient=s.Right(s.GetLength()-n-1);
				} else {
					zg.m_instance=s;
					zg.m_recipient="*";
				}
			} else {
				zg.m_class="message";
				zg.m_instance=s;
				zg.m_recipient="*";
			}			
			
			theApp.OnReceiveZGram(&zg);
			break;
		default:
			;	
	}
}

BOOL CTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	m_listbox.AddString("tmessage,test,*");				//traditional to -i test
	m_listbox.AddString("tmessage,white-magic,*");		//traditional to -i test
	m_listbox.AddString("omessage,test,*");				//outgoing to -i test
	m_listbox.AddString("tsipb,foo,*");
	m_listbox.AddString("tmessage,personal,shabby@mit.edu");
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}
