// wz.h : main header file for the WZ application
//

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

enum EAutoRestore { None, OnReceive, OnEmptyReceive };
enum EAuth { AUTH, UNAUTH, FORGED };
enum ZSubType { Traditional, Personal, Outgoing };

typedef int ViewSet;
#define VS_LSV 0x0001
#define VS_STV 0x0002
#define VS_WGV 0x0004
#define VS_SNV 0x0008

class CMyStatusBar : public CStatusBar
{
	friend class CStackView;
};

class CMyToolBar : public CToolBar
{
	friend class CStackView;
};

/////////////////////////////////////////////////////////////////////////////
// CZApp:
// See wz.cpp for the implementation of this class
//

class CZGram;
class CTestDlg;

class CZApp : public CWinApp
{
public:
	CZApp();
	void OnReceiveZGram(CZGram *);
	BOOL	m_st_personal_top;
	BOOL	m_st_reverse_stack;
	BOOL	m_technobabble;
	BOOL	m_save_on_exit;
	CString	m_krbrealm;
	ViewSet m_default_view;
	BOOL	m_wg_reverse_stack;
	BOOL	m_wg_titlebar;	
	UINT	m_newdoc;

	CMultiDocTemplate *m_dtlist, *m_dtstack, *m_dtsender, *m_dtwgram;
	CTestDlg* m_td;

	CString m_MyProfileName;

// Overrides
	virtual BOOL InitInstance();
	virtual int ExitInstance();

// Implementation

	//{{AFX_MSG(CZApp)
	afx_msg void OnAppAbout();
	afx_msg void OnConfigGlobal();
	afx_msg void OnHideAll();
	afx_msg void OnFileNew();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	
	friend class CIconFrame;
};

extern CZApp theApp;

/////////////////////////////////////////////////////////////////////////////
