// zdoc.cpp : implementation of the CZDoc class
//

#include "stdafx.h"
#include "wz.h"
#include "myview.h"
#include "dlgzsub.h"
#include "zsub.h"

#include "zdoc.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CZDoc

IMPLEMENT_DYNCREATE(CZDoc, CDocument)

BEGIN_MESSAGE_MAP(CZDoc, CDocument)
	//{{AFX_MSG_MAP(CZDoc)
	ON_COMMAND(ID_CONTROL_SUBSCRIBE, OnControlSubscribe)
	ON_COMMAND(ID_CONTROL_UNSUBSCRIBE, OnControlUnsubscribe)
	ON_COMMAND(ID_CONTROL_EDITSUBSCRIPTIONS, OnControlEditsubscriptions)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CZDoc construction/destruction

CZDoc::CZDoc()
{
	// TODO: add one-time construction code here
}

CZDoc::~CZDoc()
{
}

BOOL CZDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)
	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CZDoc serialization

void CZDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


/////////////////////////////////////////////////////////////////////////////
// CZDoc diagnostics

#ifdef _DEBUG
void CZDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CZDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CZDoc commands

void CZDoc::OnReceiveZGram(CZGram *zg)
{
	POSITION pos;
	CMyView* vw;
	
	pos=GetFirstViewPosition();
	while (vw=(CMyView*)GetNextView(pos))
		vw->OnReceiveZGram(zg);
}

void CZDoc::OnReceiveZGram(CZGram *zg,CRuntimeClass *rtc)
{
	POSITION pos;
	CMyView* vw;
	
	pos=GetFirstViewPosition();
	while (vw=(CMyView*)GetNextView(pos))
		if (vw->IsKindOf(rtc))
			vw->OnReceiveZGram(zg);
}

void CZDoc::OnReceiveZGram(CZGram *zg,CMyView *vw)
{
	ASSERT(vw->GetDocument()==this);
	vw->OnReceiveZGram(zg);
}

void CZDoc::OnControlSubscribe()
{
	CDlgZSubEntry zse;
	CZSub *zs=new CZSub;
	
	zse.DoModal();
	zs->m_type=zse.m_zstype;

	switch (zse.m_type) {
		case Traditional:
			zs->m_tclass=zse.m_group;
			zs->m_tinstance=zse.m_instance;
			zs->m_trecipient=zse.m_recipient;
			break;
		case Outgoing:
			zs->m_oclass=zse.m_group;
			zs->m_oinstance=zse.m_instance;
			zs->m_orecipient=zse.m_recipient;
			break;
		case Personal:
			zs->m_pusername=zse.m_recipient;
			zs->m_pshow=zse.m_alwaysshow;
			break;
	}
	m_zsubs.InsertAfter(m_zsubs.GetTailPosition(),zs);
}

void CZDoc::OnControlUnsubscribe()
{
	// TODO: Add your command handler code here
	
}

void CZDoc::OnControlEditsubscriptions()
{
	// TODO: Add your command handler code here
	
}
