// dlgglob.cpp : implementation file
//

#include "stdafx.h"
#include "wz.h"
#include "dlgglob.h"
#include "zsub.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgGlobalOptions dialog

CDlgGlobalOptions::CDlgGlobalOptions(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgGlobalOptions::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgGlobalOptions)
	m_sto_personal_top = FALSE;
	m_sto_reverse_stack = FALSE;
	m_technobabble = FALSE;
	m_save_on_exit = FALSE;
	m_realm = "";
	m_default_views = "";
	m_zgo_reverse_stack = FALSE;
	m_zgo_titlebar = FALSE;
	//}}AFX_DATA_INIT
}

void CDlgGlobalOptions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgGlobalOptions)
	DDX_Check(pDX, IDC_STO_PERSONAL_TOP, m_sto_personal_top);
	DDX_Check(pDX, IDC_STO_REVERSE_STACK, m_sto_reverse_stack);
	DDX_Check(pDX, IDC_TECHNOBABBLE, m_technobabble);
	DDX_Check(pDX, IDC_SAVE_ON_EXIT, m_save_on_exit);
	DDX_Text(pDX, IDC_REALM, m_realm);
	DDV_MaxChars(pDX, m_realm, 40);
	DDX_CBString(pDX, IDC_DEFAULT_VIEWS, m_default_views);
	DDX_Check(pDX, IDC_ZGO_REVERSE_STACK, m_zgo_reverse_stack);
	DDX_Check(pDX, IDC_ZGO_TITLEBAR, m_zgo_titlebar);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDlgGlobalOptions, CDialog)
	//{{AFX_MSG_MAP(CDlgGlobalOptions)
	ON_BN_CLICKED(IDC_ZGO_COLORS, OnClickedZgoColors)
	ON_BN_CLICKED(IDC_ZGO_PLACEMENT, OnClickedZgoPlacement)
	ON_BN_CLICKED(IDC_ZGO_MOUSE_CONFIG, OnClickedZgoMouseConfig)
	ON_BN_CLICKED(IDC_ZWRITE_OPTIONS, OnClickedZwriteOptions)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgGlobalOptions message handlers

void CDlgGlobalOptions::OnClickedZgoColors()
{
	// TODO: Add your control notification handler code here
	
}

void CDlgGlobalOptions::OnClickedZgoPlacement()
{
	
	
}

void CDlgGlobalOptions::OnClickedZgoMouseConfig()
{
	// TODO: Add your control notification handler code here
	
}

void CDlgGlobalOptions::OnClickedZwriteOptions()
{
	// TODO: Add your control notification handler code here
	
}
