// iconfrm.cpp : implementation of the CIconFrame class
//

#include "stdafx.h"
#include "wz.h"

#include "iconfrm.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIconFrame

IMPLEMENT_DYNAMIC(CIconFrame, CMDIFrameWnd)

BEGIN_MESSAGE_MAP(CIconFrame, CMDIFrameWnd)
	//{{AFX_MSG_MAP(CIconFrame)
	ON_WM_ACTIVATE()
	ON_WM_CREATE()
	ON_WM_SYSCOMMAND()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CIconFrame construction/destruction

CIconFrame::CIconFrame()
{
	// TODO: add member initialization code here
}

CIconFrame::~CIconFrame()
{
}


/////////////////////////////////////////////////////////////////////////////
// CIconFrame diagnostics

#ifdef _DEBUG
void CIconFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CIconFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CIconFrame message handlers

void CIconFrame::OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized)
{
	ShowWindow(SW_SHOWMINIMIZED);                
}

int CIconFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CMDIFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	// Add and delete menu items...
	CMenu *menu,file;
	          
	file.LoadMenu(IDR_APPFILE);
	
	menu=GetSystemMenu(FALSE);
	menu->AppendMenu(MF_SEPARATOR);
	menu->AppendMenu(MF_POPUP | MF_ENABLED,(UINT)file.m_hMenu,"&File");
	menu->AppendMenu(MF_STRING | MF_ENABLED,ID_CONFIG_GLOBAL,"&Global Config");
	menu->AppendMenu(MF_STRING | MF_ENABLED,ID_HIDE_ALL,"&Hide All");
	file.Detach();
	
	return 0;
}

void CIconFrame::OnSysCommand(UINT nID, LPARAM lParam)
{
	if (nID==ID_FILE_NEW) theApp.OnFileNew();
	else if (nID==ID_FILE_OPEN) theApp.OnFileOpen();
//	else if (nID==ID_FILE_IMPORT) theApp.OnFileImport();
	else if (nID==ID_CONFIG_GLOBAL) theApp.OnConfigGlobal();
//	else if (nID==ID_HIDE_ALL) theApp.OnHideAll();
	else CMDIFrameWnd::OnSysCommand(nID, lParam);
}
