// sendview.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSenderView view

#include "myview.h"

class CSenderView : public CMyView
{
    friend class CZApp;
	
	DECLARE_DYNCREATE(CSenderView)
protected:
	CSenderView();			// protected constructor used by dynamic creation

// Attributes
public:
	CZDoc* GetDocument();

// Operations
public:
	void OnReceiveZGram(CZGram *);

// Implementation
protected:
	virtual ~CSenderView();
	virtual	void OnDraw(CDC* pDC);		// overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CSenderView)
	afx_msg void OnViewList();
	afx_msg void OnViewStack();
	afx_msg void OnViewWindowgram();
	afx_msg void OnUpdateViewWindowgram(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewStack(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewList(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#ifndef _DEBUG	// debug version in listview.cpp
inline CZDoc* CSendView::GetDocument()
   { return (CZDoc*) m_pDocument; }
#endif
