// stckview.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStackView view

#include "myview.h"

class CStackView : public CMyScrollView
{
    friend class CZApp;
	DECLARE_DYNCREATE(CStackView)
protected:
	CStackView();			// protected constructor used by dynamic creation

// Attributes
public:
	CStringArray m_zgrams;
	int m_zcur;

// Operations
public:
	void OnReceiveZGram(CZGram *);

// Implementation
protected:
	virtual ~CStackView();
	virtual	void OnDraw(CDC* pDC);		// overridden to draw this view
	virtual void OnInitialUpdate();

	// Generated message map functions
protected:
	//{{AFX_MSG(CStackView)
	afx_msg void OnViewList();
	afx_msg void OnViewSender();
	afx_msg void OnUpdateViewList(CCmdUI* pCmdUI);
	afx_msg void OnViewWindowgram();
	afx_msg void OnUpdateViewWindowgram(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewSender(CCmdUI* pCmdUI);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnCmdDelzgram();
	afx_msg void OnCmdZwrite();
	afx_msg void OnCmdNextzgram();
	afx_msg void OnCmdPrevzgram();
	afx_msg void OnUpdateCmdNextzgram(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCmdPrevzgram(CCmdUI* pCmdUI);
	afx_msg void OnPaint();
	afx_msg void OnUpdateIndicatorNzgram(CCmdUI* pCmdUI);
	afx_msg void OnCmdZreply();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
