// zdoc.h : interface of the CZDoc class
//
/////////////////////////////////////////////////////////////////////////////

class CZGram;
class CMyView;

class CZDoc : public CDocument
{
protected: // create from serialization only
	CZDoc();
	DECLARE_DYNCREATE(CZDoc)

// Attributes
public:
	CObList m_zsubs; 

// Operations
public:
	void OnReceiveZGram(CZGram *);
	void OnReceiveZGram(CZGram *,CMyView *);
	void OnReceiveZGram(CZGram *,CRuntimeClass *);

// Implementation
public:
	virtual ~CZDoc();
	virtual void Serialize(CArchive& ar);	// overridden for document i/o
#ifdef _DEBUG
	virtual	void AssertValid() const;
	virtual	void Dump(CDumpContext& dc) const;
#endif
protected:
	virtual	BOOL	OnNewDocument();

// Generated message map functions
protected:
	//{{AFX_MSG(CZDoc)
	afx_msg void OnControlSubscribe();
	afx_msg void OnControlUnsubscribe();
	afx_msg void OnControlEditsubscriptions();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
